import nox



@nox.session
def lint(session):
    session.install("flake8")
    session.run("flake8", "demo.py")



@nox.session(python=["2.7",  "3.6"])
def tests(session):
    # same as pip install -r -requirements.txt
    session.install("-r", "requirements.txt")
    session.install("pytest")
    session.run("pytest","-v","tests")
